import javax.swing.*;
/**
 * Ventas sirve de interfaz hacia la clase Acumulador 
 */
public class Ventas {
  /**
   * M&eacute;todo principal 
   */
  public static void main(String argv[]){
    // seguir es un centinela que indica si el ciclo sigue
    boolean seguir = true;    
    Acumulador a = new Acumulador();    
    Acumulador b = new Acumulador();
    Acumulador c = new Acumulador();
    a.setPrecioUnidad(1000);
    b.setPrecioUnidad(2000);
    c.setPrecioUnidad(3000);
    // Respuesta guarda una referencia a lo que contesta el usuario
    int respuesta = 0;
    int cantidadVendida = 0;
    String producto = "";
    // mientras que el valor de seguir sea true ejecuta el cuerpo del ciclo
    while (respuesta != 3){
      // Pregunta al usuario la opcion deseada
      // El usuario digitar su opcin
      respuesta = Integer.parseInt(JOptionPane.showInputDialog("Opciones:\n\t1)Registrar una venta"+
                                                               "\n\t2)Ver cantidades y montos de venta por producto"+
                                                                "\n\t3)Salir"));
      if(respuesta == 1){
        producto = JOptionPane.showInputDialog("Seleccione el producto cuya venta desea registrar: A, B o C");      
        cantidadVendida = Integer.parseInt(JOptionPane.showInputDialog("Digite la cantidad vendida:"));
        char letra = producto.charAt(0);
        switch(letra){
          case 'A':
            a.acumular(cantidadVendida);
            break;
          case 'B':
            b.acumular(cantidadVendida);
            break;
          case 'C':
            c.acumular(cantidadVendida);
            break;
          default :
            JOptionPane.showMessageDialog(null, "Error!", "Digit un producto no existente!!", JOptionPane.ERROR_MESSAGE);            
            break;
        }
      }
      else{
        if(respuesta == 2){
          JOptionPane.showMessageDialog(null, "Registro de ventas:" + 
                                        "\nA: " + "Unidades Vendidas: " + a.getCantidadUnidadesVendidas() + 
                                        " Monto vendida: " +a.getMontoAcumulado() + "\nB: " + "Unidades Vendidas: "
                                        + b.getCantidadUnidadesVendidas() + " Monto vendida: " + b.getMontoAcumulado()
                                          + "\nC: " + "Unidades Vendidas: "
                                        + c.getCantidadUnidadesVendidas() + " Monto vendida: " + c.getMontoAcumulado(),"Registro",  
                                        JOptionPane.INFORMATION_MESSAGE);
        }
      }
      // Vuelve al inicio del ciclo while a verificar nuevamente la condicin      
    }
    System.exit(0);
  }
}