/**
 * <p>Title: PruebaPirmide</p>
 * <p>Description: Dibuja una pirmide de asteriscos de una altura determinada</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: Independiente</p>
 * @author Edgar Casasola
 * @author Jos Francisco Villegas
 * @version 1.0
 */
import javax.swing.*;
/**
 * La clase PruebaPiramide es tiene la resposabilidad de servir como clase de prueba
 * Esta es la clase que sirve de interfaz con el usuario
 * En el mtodo principal se crea una instancia de Piramide con la altura determinada por el usuario
 * Posteriormente se dibuja la misma.
 * @see <a href = "Piramide.html" target="classFrame">Piramide </a>
 */
public class PruebaPiramide {

/**
 * Crea y utiliza las instancias de Piramide para dibujar las pirmides de asteriscos, note el paso del parmetro altura
 */
   public static void main(String argv[]){
    // Solicitar la altura de la pirmide al usuario
     Piramide triangulo1 = null;
     try {
        int alturaDigitada = Integer.parseInt(JOptionPane.showInputDialog("Digite la altura de la pirmide"));
        triangulo1 = new Piramide(alturaDigitada);
     }
     catch(Exception e){
        triangulo1 = new Piramide();     
     }
    triangulo1.dibujar();
    
    System.exit(0);
   }
}