/**
 * Ilustra el uso de par&aacute;metros y variables de clase y locales 
 */
public class ClaseX {
   private int x; // atributo o variable de instancia
   public void setX(int x){ // El parmetro se llama x
     System.out.println("Se recibi parametro x con valor " + x);     
     this.x = x; // Asigna valor del parmetro a variable de instancia x
     System.out.println("Atributo x antes de salir el mtodo vale: " + x);
   }
   public void setX2(int x){ // El parmetro se llama x
      System.out.println("Se recibi parametro x con valor " + x);
      x = x; // Note que este solo modifica el parmetro
      System.out.println("Atributo x antes de salir el mtodo vale: " + this.x);     
      System.out.println("Parmetro que se recibi, antes de salir vale: " + x);     
   }
   public void sumaUno(int x){ // El parmetro se llama x
      System.out.println("Se recibi parametro x con valor " + x);
      System.out.println("Se suma uno al parmetro x ");      
      // Se le suma uno al atributo
      x++;
      System.out.println("Atributo x antes de salir el mtodo vale: " + this.x);     
      System.out.println("Parmetro que se recibi, antes de salir vale: " + x);     
   }   
   public int getX(){
     return x;
   }
   public static void main(String argv[]){
      ClaseX instancia = new ClaseX();
      int x = 10; // Se declara variable local al mtodo main
      instancia.setX(x*2);
      System.out.println("Atributo x almacenado en variable de instancia vale "+instancia.getX());
      instancia.setX2(10);
      System.out.println("Atributo x almacenado en variable de instancia vale "+instancia.getX());
      System.out.println("Variable local x del main vale "+x);
      System.out.println("Se pasa variable local x del main como parmetro ");
      instancia.sumaUno(x);
      System.out.println("Variable local x del main todava vale "+x);      
      System.exit(0);                   
   }
}