import javax.swing.*;
/**
 * Clase un poco modularizada (con respecto a Pintor.java).
 * Pinta el n&uacute;mero de paredes que indique el usuario.
 */
public class Pintor2 {
  /**
   * Cantidad de paredes
   */
  private int paredes;                 
  /**
   * Area total de las paredes
   */
  private double areaTotal;            
  /**
   * Costo por metro cuadrado de pintura
   */
  private double costoPorMetroCuadrado; 
  /**
   * Costo total del trabajo
   */
  private double costoTotal;            
  
  /**
   * Pregunta al usuario cu&aacute;ntas paredes desea que sean pintadas 
   */
  private void preguntarCantidadDeParedes(){
     paredes = Integer.parseInt(JOptionPane.showInputDialog("Cuantas paredes desea pintar?"));
  }
  /**
   * Pregunta al usuario dimensi&oacute;n de la pared 
   */
  private double preguntarDimension(String dimension){
     return Double.parseDouble(JOptionPane.showInputDialog("Digite la "+dimension+" de la pared "));    
  }
  /**
   * Pregunta al usuario el costo por Metro Cuadrado de Pintura de la pared 
   */
  private void preguntarCostoPorMetroCuadradoDePintura(){
     costoPorMetroCuadrado = Double.parseDouble(JOptionPane.showInputDialog("Digite el costo por metro cuadrado de pintura "));
  } 
  /**
   * Presenta al usuario el costo de pintar las paredes
   */
  public void presentarPresupuesto(){
     System.out.println("El costo de pintar es de: "+costoTotal);  
  }
   /**
   * Calcula el &aacute;rea de la pared 
   * @return un real con el &aacute;rea de la pared
   */
  private double calcularAreaDePared(){
     double alturaDePared= preguntarDimension("altura");
     double anchoDePared=preguntarDimension("ancho");
     return alturaDePared*anchoDePared;
  }
  
  /**
   * Calcula el &aacute;rea total a pintar 
   */
  private void calcularAreaTotal(){ 
     // Calcula el area de cada una de las paredes
     for(int i=0; i<paredes; i++){     
       System.out.println("Calculando area de pared "+(i+1));
       areaTotal+=calcularAreaDePared();
     }
  }
  
   /**
   * Calcula al usuario el costo total de pintar las paredes
   */
  private void calcularCostoTotal(){
      costoTotal = areaTotal * costoPorMetroCuadrado;  
  }  
  
  /**
   * Calcula el presupuesto 
   */
  public void presupuestar(){
     preguntarCantidadDeParedes();
 
     calcularAreaTotal();
     preguntarCostoPorMetroCuadradoDePintura();
     calcularCostoTotal();
  }
  
  /**
   * M&eacute;todo principal, prueba la clase Pintor2
   */
  public static void main(String argv[]){
     Pintor2 unPintor = new Pintor2();
     unPintor.presupuestar();
     unPintor.presentarPresupuesto();
     System.exit(0);
  }
}