import javax.swing.*;
/**
 * La clase Triangulo representa un tri&iacute;angulo compuesto de 3 Lineas
 */
public class Triangulo{
  
 /*
  * Lineas del tri&iacute;ngulo 
  */
  Linea linea1;
  Linea linea2;
  Linea linea3;
 
  /**
   * Constructor por omisi&oacute;n 
   */
  public Triangulo(){
    this.linea1 = new Linea();
    this.linea2 = new Linea();
    this.linea3 = new Linea();
  }
  
  /**
   * Constructor sobrecargado 
   * 
   *                *  
   *              / |
   *    Linea3  /   | Linea 2  
   *          /_____|
   *           Linea1
   */
  public Triangulo(Linea linea1, Linea linea2, Linea linea3){
    if(linea1.getDimension() + linea2.getDimension() > linea3.getDimension()){
      System.out.println("Creando un triangulo vlido");
      this.linea1 = linea1;
      this.linea2 = linea2;
      this.linea3 = linea3;
    }
    else{      
      JOptionPane.showMessageDialog(null,"Las dimensiones de las lneas son incorrectas!", "Error", JOptionPane.ERROR_MESSAGE);
      System.out.println("Creando un triangulo cannico");
      this.linea1 = new Linea(new Punto(0,0),new Punto(0,0));
      this.linea2 = new Linea(new Punto(0,0),new Punto(0,1));
      this.linea3 = new Linea(new Punto(1,0),new Punto(0,0));
    }    
  } 
  
}