import javax.swing.JOptionPane;
/* La clase PruebaManejadorDeVectores se utiliza para demostrar
 * el uso de la clase ManejadorDeVectores
 * Esa clase pretende mostrar que si un vector es modificado a travs de su refencia
 * dentro de un mtodo, los cambios se mantendrn an al salir del mtodo
 * Su diseo y estructura obedece solo a fines de demostracin de pase de parmetros
 * Programado por: MSc. Edgar Casasola Murillo (c)2004
 */
public class PruebaManejadorDeVectores {
  public static void main(String argv[]){
    int cantidadDeElementos = Integer.parseInt(JOptionPane.showInputDialog("Cuantos valores va a almacenar?"));
    int [] datos;
    // Invoca al mtodo que fabrica un nuevo vector de enteros
    datos = ManejadorDeVectores.crearVectorDeEnteros(cantidadDeElementos); 
    // Llenar el vector con datos solicitados al usuario
    ManejadorDeVectores.leerVectorDeEnteros(datos);
    System.out.println("Antes de sumarle 4 a todos: "+ManejadorDeVectores.vectorDeEnterosAString(datos));
    // Suma 4 a todos los elementos del vector
    ManejadorDeVectores.sumarATodos(datos,4);
    System.out.println("Despus de sumarle 4 a todos: "+ManejadorDeVectores.vectorDeEnterosAString(datos));
    System.exit(0);
  }
}