import javax.swing.JOptionPane;
/* La clase vector se utiliza para demostrar la forma de declarar
 * inicializar y acceder a las celdas de un vector
 * Su diseo y estructura obedece solo a fines de demostracin
 * Programado por: MSc. Edgar Casasola Murillo (c)2004
 */
public class PruebaVector {
  /** <pre>
   * REQUIERE: Que el vector haya sido declarado
   * EFECTUA: Este mtodo muestra como inicializar cada celda del vector con valores
   * suministrados por el usuario
   * MODIFICA: Modifica los valores de las celdas referenciadas por "vector" </pre>
   */
  public static void leerVector(Vector datos){
    for(int i=0;i<datos.length(); i++){
      datos.setValor(i,Double.parseDouble(JOptionPane.showInputDialog("Digite el valor "+(i+1))));
    }
  }
  
  public static void main(String argv[]){
    int cantidadDeElementos =Integer.parseInt(JOptionPane.showInputDialog("Cuntos elementos quiere?"));
    Vector datos = new Vector(cantidadDeElementos);    
    leerVector(datos);
    System.out.println(datos);    
    System.out.println("El mximo esta en la posicin "+datos.maximo()+" y vale "+datos.getValor(datos.maximo()));
    System.out.println("El mnimo esta en la posicin "+datos.minimo()+" y vale "+datos.getValor(datos.minimo()));
    System.out.println("El promedio de los valores del vector es "+datos.promedio());
    System.out.println("La suma de todos los valores del vector es "+datos.suma());
    System.exit(0);
  }
}