import javax.swing.*;
class PruebaBusquedaBinaria {
   /** <pre>
   * REQUIERE: Que el vector haya sido declarado
   * EFECTUA: Este mtodo muestra como inicializar cada celda del vector con valores
   * suministrados por el usuario
   * MODIFICA: Modifica los valores de las celdas referenciadas por "vector" </pre>
   */
  public static void leerVector(Vector datos){
    for(int i=0;i<datos.length(); i++){
      datos.setValor(i,Integer.parseInt(JOptionPane.showInputDialog("Digite el valor "+(i+1))));
    }
  }
   
  public static void main(String argv[]){
    int cantidadDeElementos =Integer.parseInt(JOptionPane.showInputDialog("Cuntos elementos quiere?"));
    Vector datos = new Vector(cantidadDeElementos);    
    leerVector(datos);
    datos.ordenar();
    System.out.println("Contenido del vector ordenado: "+datos);    
    int valorBuscado = 0;
    int posicion = 0;
    do {
      valorBuscado = Integer.parseInt(JOptionPane.showInputDialog("Cul valor quiere buscar? (si no est el programa terminar)"));
      posicion = datos.buscar(valorBuscado);
      if(posicion>=0)
        System.out.println("El valor "+valorBuscado+" se encuentra en la posicin "+posicion);
    } while (posicion!=-1);
    System.out.println("El valor "+valorBuscado+" no se encuentra dentro del vector");    
    System.exit(0);
  }
}
