import javax.swing.*;
class DemostracionClasificacionConVectores {
  /** <pre>
   * REQUIERE: No tiene requisitos especficos
   * EFECTUA: Mtodo main con el fin de demostrar la forma de utilizar vectores para clasificar datos
   * MODIFICA: Salida en consola
   */
  
  public static void main(String argv[]){
    Solicitante solicitudesDeCredito [] = new Solicitante[6];
    solicitudesDeCredito[0] = new Solicitante("Juan","Prez",200000,true,8);
    solicitudesDeCredito[1] = new Solicitante("Mario","Vargas",100000,false,0);
    solicitudesDeCredito[2] = new Solicitante("Rebeca","Chaves",500000,false,1);
    solicitudesDeCredito[3] = new Solicitante("Melvin","Luna",600000,false,6);
    solicitudesDeCredito[4] = new Solicitante("Graciela","Sancho",450000,true,0);
    solicitudesDeCredito[5] = new Solicitante("Jorge","Arias",60000,true,2);
    
    // Vector con los cdigos de las tres posibles decisiones que se tomaron para otorgar el crdito
    String codigo[] = {"NO","SI","CONDICIONADO"};
    // En el vector siguiente se guard la decisin tomada para cada caso
    // dependiendo del indice
    // Los valores del vector son cdigos de acuerdo al vector de cdigos anterior
    int seAcepta[] = {0,2,1,2,1,0};
    
    // Se recorren todos los tipos de crdito  
    for(int tipoCredito=0; tipoCredito< codigo.length;tipoCredito++) { 
      System.out.println("DAR CRDITO?: "+codigo[tipoCredito]);
      // Se recorren todas las solicitudes y solo se imprimen las del tipo de crdito que se est usando en este iteracin
      for(int i=0; i< seAcepta.length;i++) {
        if(seAcepta[i]==tipoCredito){
          System.out.println(solicitudesDeCredito[i] );       
        }
      }
    }
    System.exit(0);
  }
}