import javax.swing.*;
import java.awt.Graphics; 
import java.awt.Color;
public class TableroAjedrez extends JFrame {
  public TableroAjedrez(){
    super("OBSERVE EL TABLERO");
    setDefaultCloseOperation(this.EXIT_ON_CLOSE);
    setSize(360,400);
    show();
  }
  public void paint(Graphics g){
    super.paint(g);
    char T[][]; 
    char colores []= {'N','B'};  // N = negro B=Blanco
    int colorInicialDeLaFila = 0; // 0 Inicia con negro 1 con blanco
    int color = 0;
    T = new char [8][8];
    
    for(int f=0; f<8;f++){
      color = colorInicialDeLaFila;
      for(int c=0; c<8; c++){
        T[f][c]= colores[color];
        // Calcula el color de la siguiente celda
        color = (color + 1) % 2;
        
      }
      // Calcula el color con que inicia la siguiente fila
      colorInicialDeLaFila = (colorInicialDeLaFila + 1) % 2;
    }
    
    for(int f=0; f<8;f++){
      for(int c=0; c<8; c++){
        if(T[f][c]=='N')
          g.setColor(Color.black);
        else
          g.setColor(Color.white);
        g.fillRect(c*40+20,f*40+20,40,40);        
      }     
    }
  }
  public static void main(String argv[]){
    TableroAjedrez dibujo = new TableroAjedrez();
  }
}