/**
 * Men principal del material. Contiene todos los elementos del men que se muestra en el marco a la
 * izquierda del contenido.
 * 
 * Jorge Villalobos.
 * 2004
 */
 
// You can find instructions for this file at http://www.treeview.net

//Environment variables are usually set at the top of this file.
USETEXTLINKS = 1
STARTALLOPEN = 0
USEFRAMES = 0
USEICONS = 1
WRAPTEXT = 1
PERSERVESTATE = 1

// Lineas agregadas.
ICONPATH = 'imagenesMenu/'
HIGHLIGHT=1
HIGHLIGHT_BG='#009900'

foldersTree = gFld("<b>Programaci&oacute;n basada en objetos</b>", "../index.html", "Programaci&oacute;n basada en objetos");
	
/*****************************************************************************************************/
/***********                                Aspectos preliminares                           **********/
/*****************************************************************************************************/

	prelim = insFld(foldersTree, gFld("Aspectos preliminares", "javascript:undefined", "Aspectos preliminares"));
		insDoc(prelim, gLnk("T", "Presentaci&oacute;n", "../documentos/estudiante/presentacion/index.html", "Presentaci&oacute;n"));
		insDoc(prelim, gLnk("T", "Utilizando este material", "../documentos/navegacion/index.html", "Utilizando este material"));
		insDoc(prelim, gLnk("T", "Autores y agradecimientos", "../documentos/agradecimientos/index.html", "Autores y agradecimientos"));
		insDoc(prelim, gLnk("T", "Derechos de uso", "../documentos/derechosUso/index.html", "Derechos de uso"));

/*****************************************************************************************************/
/***********                                Manual del estudiante                           **********/
/*****************************************************************************************************/
	
	insDoc(foldersTree, gLnk("T", "Plan del curso", "../index.html", "Plan del curso"));
	insDoc(foldersTree, gLnk("T", "Introducci&oacute;n del curso", "../documentos/estudiante/introduccion/index.html", "Introducci&oacute;n del curso"));
	insDoc(foldersTree, gLnk("T", "Tareas programadas", "../documentos/estudiante/tareas/index.html", "Tareas programadas"));
	insDoc(foldersTree, gLnk("T", "Presentaci&oacute;n de tareas", "../documentos/estudiante/estandares/index.html", "Presentaci&oacute;n de tareas"));
	insDoc(foldersTree, gLnk("T", "Enunciados de las tareas", "../documentos/estudiante/enunciados/index.html", "Enunciados de las tareas"));
	insDoc(foldersTree, gLnk("T", "Evaluaci&oacute;n", "../documentos/estudiante/evaluacion/index.html", "Evaluaci&oacute;n"));
	insDoc(foldersTree, gLnk("T", "Horas de dedicaci&oacute;n", "../documentos/estudiante/dedicacion/index.html", "Horas de dedicaci&oacute;n"));
	insDoc(foldersTree, gLnk("T", "Taxonom&iacute;a de Bloom", "../documentos/estudiante/bloom/index.html", "Taxonom&iacute;a de Bloom"));
	insDoc(foldersTree, gLnk("T", "Objetivos", "../documentos/estudiante/objetivos/index.html", "Objetivos"));
	insDoc(foldersTree, gLnk("T", "Aspectos &eacute;ticos", "../documentos/estudiante/eticos/index.html", "Aspectos &eacute;ticos"));
	insDoc(foldersTree, gLnk("T", "Ejemplos y ejercicios", "../documentos/estudiante/ejemplosEjercicios/index.html", "Tipolog&iacute;a de ejemplos y ejercicios"));

/*****************************************************************************************************/
/***********                Mdulo 1 - Bases para la programacin por objetos               **********/
/*****************************************************************************************************/

	aux1 = insFld(foldersTree, gFld("M&oacute;dulo 1", "javascript:undefined", "Bases para la programaci&oacute;n por objetos"));
		insDoc(aux1, gLnk("T", "Objetivos", "../modulo1/index.html", "Objetivos"));
		
		aux2 = insFld(aux1, gFld("Tema 1", "javascript:undefined", "Bases para la programaci&oacute;n por objetos"));
			insDoc(aux2, gLnk("T", "Contenido", "../modulo1/tema1/index.html", "Contenido"));
			aux3 = insFld(aux2, gFld("Ejemplo 1", "javascript:undefined", "Ejemplo 1"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema1/ejemplo01/problema/index.html", "Ejemplo"));
			aux3 = insFld(aux2, gFld("Ejemplo 2", "javascript:undefined", "Ejemplo 2"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema1/ejemplo02/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema1/ejemplo02/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 3", "javascript:undefined", "Ejemplo 3"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema1/ejemplo03/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema1/ejemplo03/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 4", "javascript:undefined", "Ejemplo 4"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema1/ejemplo04/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema1/ejemplo04/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejercicio 1", "javascript:undefined", "Ejercicio 1"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema1/ejercicio01/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 2", "javascript:undefined", "Ejercicio 2"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema1/ejercicio02/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 3", "javascript:undefined", "Ejercicio 3"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema1/ejercicio03/problema/index.html", "Ejercicio"));

		aux2 = insFld(aux1, gFld("Tema 2", "javascript:undefined", "Primitivas de codificaci&oacute;n"));
			insDoc(aux2, gLnk("T", "Contenido", "../modulo1/tema2/index.html", "Contenido"));
			aux3 = insFld(aux2, gFld("Ejemplo 1", "javascript:undefined", "Ejemplo 1"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema2/ejemplo01/problema/index.html", "Ejemplo"));
			aux3 = insFld(aux2, gFld("Ejemplo 2", "javascript:undefined", "Ejemplo 2"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema2/ejemplo02/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema2/ejemplo02/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 3", "javascript:undefined", "Ejemplo 3"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema2/ejemplo03/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema2/ejemplo03/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 4", "javascript:undefined", "Ejemplo 4"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema2/ejemplo04/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema2/ejemplo04/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 5", "javascript:undefined", "Ejemplo 5"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema2/ejemplo05/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema2/ejemplo05/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 6", "javascript:undefined", "Ejemplo 6"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema2/ejemplo06/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema2/ejemplo06/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejercicio 1", "javascript:undefined", "Ejercicio 1"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema2/ejercicio01/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 2", "javascript:undefined", "Ejercicio 2"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema2/ejercicio02/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 3", "javascript:undefined", "Ejercicio 3"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema2/ejercicio03/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 4", "javascript:undefined", "Ejercicio 4"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema2/ejercicio04/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 5", "javascript:undefined", "Ejercicio 5"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema2/ejercicio05/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 6", "javascript:undefined", "Ejercicio 6"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema2/ejercicio06/problema/index.html", "Ejercicio"));
				
		aux2 = insFld(aux1, gFld("Tema 3", "javascript:undefined", "Estructuras de Control"));
			insDoc(aux2, gLnk("T", "Contenido", "../modulo1/tema3/index.html", "Contenido"));
			aux3 = insFld(aux2, gFld("Ejemplo 1", "javascript:undefined", "Ejemplo 1"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema3/ejemplo01/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema3/ejemplo01/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 2", "javascript:undefined", "Ejemplo 2"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema3/ejemplo02/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema3/ejemplo02/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 3", "javascript:undefined", "Ejemplo 3"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema3/ejemplo03/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema3/ejemplo03/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 4", "javascript:undefined", "Ejemplo 4"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema3/ejemplo04/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema3/ejemplo04/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 5", "javascript:undefined", "Ejemplo 5"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema3/ejemplo05/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema3/ejemplo05/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 6", "javascript:undefined", "Ejemplo 6"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema3/ejemplo06/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema3/ejemplo06/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 7", "javascript:undefined", "Ejemplo 7"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema3/ejemplo07/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema3/ejemplo07/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 8", "javascript:undefined", "Ejemplo 8"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema3/ejemplo08/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema3/ejemplo08/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejercicio 1", "javascript:undefined", "Ejercicio 1"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema3/ejercicio01/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 2", "javascript:undefined", "Ejercicio 2"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema3/ejercicio02/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 3", "javascript:undefined", "Ejercicio 3"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema3/ejercicio03/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 4", "javascript:undefined", "Ejercicio 4"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema3/ejercicio04/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 5", "javascript:undefined", "Ejercicio 5"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema3/ejercicio06/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 6", "javascript:undefined", "Ejercicio 6"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema3/ejercicio06/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 7", "javascript:undefined", "Ejercicio 7"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema3/ejercicio07/problema/index.html", "Ejercicio"));

		aux2 = insFld(aux1, gFld("Tema 4", "javascript:undefined", "M&eacute;todos"));
			insDoc(aux2, gLnk("T", "Contenido", "../modulo1/tema4/index.html", "Contenido"));
			aux3 = insFld(aux2, gFld("Ejemplo 1", "javascript:undefined", "Ejemplo 1"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema4/ejemplo01/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema4/ejemplo01/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 2", "javascript:undefined", "Ejemplo 2"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema4/ejemplo02/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema4/ejemplo02/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 3", "javascript:undefined", "Ejemplo 3"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema4/ejemplo03/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema4/ejemplo03/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 4", "javascript:undefined", "Ejemplo 4"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema4/ejemplo04/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema4/ejemplo04/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 5", "javascript:undefined", "Ejemplo 5"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema4/ejemplo05/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema4/ejemplo05/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 6", "javascript:undefined", "Ejemplo 6"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema4/ejemplo06/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema4/ejemplo06/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 7", "javascript:undefined", "Ejemplo 7"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema4/ejemplo07/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema4/ejemplo07/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 8", "javascript:undefined", "Ejemplo 8"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema4/ejemplo08/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema4/ejemplo08/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 9", "javascript:undefined", "Ejemplo 9"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema4/ejemplo09/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema4/ejemplo09/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 10", "javascript:undefined", "Ejemplo 10"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo1/tema4/ejemplo10/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema4/ejemplo10/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejercicio 1", "javascript:undefined", "Ejercicio 1"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema4/ejercicio01/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 2", "javascript:undefined", "Ejercicio 2"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema4/ejercicio02/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 3", "javascript:undefined", "Ejercicio 3"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema4/ejercicio03/problema/index.html", "Ejercicio"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo1/tema4/ejercicio03/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejercicio 4", "javascript:undefined", "Ejercicio 4"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema4/ejercicio04/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 5", "javascript:undefined", "Ejercicio 5"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema4/ejercicio05/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 6", "javascript:undefined", "Ejercicio 6"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema4/ejercicio06/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 7", "javascript:undefined", "Ejercicio 7"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema4/ejercicio07/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 8", "javascript:undefined", "Ejercicio 8"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema4/ejercicio08/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 9", "javascript:undefined", "Ejercicio 9"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo1/tema4/ejercicio09/problema/index.html", "Ejercicio"));

		aux2 = insFld(aux1, gFld("Tarea programada", "javascript:undefined", "Tarea programada"));
			insDoc(aux2, gLnk("T", "Tarea programada 1", "../modulo1/tareaProgramada/problema/index.html", "Tarea programada 1"));

		insDoc(aux1, gLnk("T", "Sitios de inter&eacute;s", "../modulo1/sitios/sitios.html", "Sitios de inter&eacute;s"));

/*****************************************************************************************************/
/***********                     Mdulo 2 - Vectores, matrices e hileras                    **********/
/*****************************************************************************************************/

	aux1 = insFld(foldersTree, gFld("M&oacute;dulo 2", "javascript:undefined", "Vectores, matrices e hileras"));
		insDoc(aux1, gLnk("T", "Objetivos", "../modulo2/index.html", "Objetivos"));
		
		aux2 = insFld(aux1, gFld("Tema 1", "javascript:undefined", "Fundamentos de Vectores y Matrices"));
			insDoc(aux2, gLnk("T", "Contenido", "../modulo2/tema1/index.html", "Contenido"));
			aux3 = insFld(aux2, gFld("Ejemplo 1", "javascript:undefined", "Ejemplo 1"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema1/ejemplo01/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema1/ejemplo01/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 2", "javascript:undefined", "Ejemplo 2"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema1/ejemplo02/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema1/ejemplo02/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 3", "javascript:undefined", "Ejemplo 3"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema1/ejemplo03/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema1/ejemplo03/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 4", "javascript:undefined", "Ejemplo 4"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema1/ejemplo04/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema1/ejemplo04/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 5", "javascript:undefined", "Ejemplo 5"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema1/ejemplo05/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema1/ejemplo05/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 6", "javascript:undefined", "Ejemplo 6"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema1/ejemplo06/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema1/ejemplo06/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 7", "javascript:undefined", "Ejemplo 7"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema1/ejemplo07/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema1/ejemplo07/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 8", "javascript:undefined", "Ejemplo 8"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema1/ejemplo08/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema1/ejemplo08/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 9", "javascript:undefined", "Ejemplo 9"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema1/ejemplo09/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema1/ejemplo09/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 10", "javascript:undefined", "Ejemplo 10"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema1/ejemplo10/problema/index.html", "Ejemplo"));
			aux3 = insFld(aux2, gFld("Ejemplo 11", "javascript:undefined", "Ejemplo 11"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema1/ejemplo11/problema/index.html", "Ejemplo"));
			aux3 = insFld(aux2, gFld("Ejemplo 12", "javascript:undefined", "Ejemplo 12"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema1/ejemplo12/problema/index.html", "Ejemplo"));
			aux3 = insFld(aux2, gFld("Ejercicio 1", "javascript:undefined", "Ejercicio 1"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema1/ejercicio01/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 2", "javascript:undefined", "Ejercicio 2"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema1/ejercicio02/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 3", "javascript:undefined", "Ejercicio 3"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema1/ejercicio03/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 4", "javascript:undefined", "Ejercicio 4"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema1/ejercicio04/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 5", "javascript:undefined", "Ejercicio 5"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema1/ejercicio05/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 6", "javascript:undefined", "Ejercicio 6"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema1/ejercicio06/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 7", "javascript:undefined", "Ejercicio 7"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema1/ejercicio07/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 8", "javascript:undefined", "Ejercicio 8"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema1/ejercicio08/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 9", "javascript:undefined", "Ejercicio 9"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema1/ejercicio09/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 10", "javascript:undefined", "Ejercicio 10"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema1/ejercicio10/problema/index.html", "Ejercicio"));

		aux2 = insFld(aux1, gFld("Tema 2", "javascript:undefined", "Manipulaci&oacute;n de Caracteres e Hileras de Texto"));
			insDoc(aux2, gLnk("T", "Contenido", "../modulo2/tema2/index.html", "Contenido"));
			aux3 = insFld(aux2, gFld("Ejemplo 1", "javascript:undefined", "Ejemplo 1"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema2/ejemplo01/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema2/ejemplo01/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 2", "javascript:undefined", "Ejemplo 2"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema2/ejemplo02/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema2/ejemplo02/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 3", "javascript:undefined", "Ejemplo 3"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema2/ejemplo03/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema2/ejemplo03/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 4", "javascript:undefined", "Ejemplo 4"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema2/ejemplo04/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema2/ejemplo04/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejercicio 1", "javascript:undefined", "Ejercicio 1"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema2/ejercicio01/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 2", "javascript:undefined", "Ejercicio 2"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema2/ejercicio02/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 3", "javascript:undefined", "Ejercicio 3"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema2/ejercicio03/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 4", "javascript:undefined", "Ejercicio 4"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema2/ejercicio04/problema/index.html", "Ejercicio"));
						
		aux2 = insFld(aux1, gFld("Tema 3", "javascript:undefined", "Fundamentos de graficaci&oacute;n"));
			insDoc(aux2, gLnk("T", "Contenido", "../modulo2/tema3/index.html", "Contenido"));
			aux3 = insFld(aux2, gFld("Ejemplo 1", "javascript:undefined", "Ejemplo 1"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema3/ejemplo01/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema3/ejemplo01/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 2", "javascript:undefined", "Ejemplo 2"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema3/ejemplo02/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema3/ejemplo02/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 3", "javascript:undefined", "Ejemplo 3"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema3/ejemplo03/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema3/ejemplo03/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 4", "javascript:undefined", "Ejemplo 4"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema3/ejemplo04/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema3/ejemplo04/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 5", "javascript:undefined", "Ejemplo 5"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema3/ejemplo05/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema3/ejemplo05/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 6", "javascript:undefined", "Ejemplo 6"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema3/ejemplo06/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema3/ejemplo06/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 7", "javascript:undefined", "Ejemplo 7"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema3/ejemplo07/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema3/ejemplo07/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 8", "javascript:undefined", "Ejemplo 8"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema3/ejemplo08/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema3/ejemplo08/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 9", "javascript:undefined", "Ejemplo 9"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema3/ejemplo09/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema3/ejemplo09/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejemplo 10", "javascript:undefined", "Ejemplo 10"));
				insDoc(aux3, gLnk("T", "Ejemplo", "../modulo2/tema3/ejemplo10/problema/index.html", "Ejemplo"));
				insDoc(aux3, gLnk("T", "Fuentes", "../modulo2/tema3/ejemplo10/src/", "Fuentes"));
			aux3 = insFld(aux2, gFld("Ejercicio 1", "javascript:undefined", "Ejercicio 1"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema3/ejercicio01/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 2", "javascript:undefined", "Ejercicio 2"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema3/ejercicio02/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 3", "javascript:undefined", "Ejercicio 3"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema3/ejercicio03/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 4", "javascript:undefined", "Ejercicio 4"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema3/ejercicio04/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 5", "javascript:undefined", "Ejercicio 5"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema3/ejercicio05/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 6", "javascript:undefined", "Ejercicio 6"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema3/ejercicio06/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 7", "javascript:undefined", "Ejercicio 7"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema3/ejercicio07/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 8", "javascript:undefined", "Ejercicio 8"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema3/ejercicio08/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 9", "javascript:undefined", "Ejercicio 9"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema3/ejercicio09/problema/index.html", "Ejercicio"));
			aux3 = insFld(aux2, gFld("Ejercicio 10", "javascript:undefined", "Ejercicio 10"));
				insDoc(aux3, gLnk("T", "Ejercicio", "../modulo2/tema3/ejercicio10/problema/index.html", "Ejercicio"));

		aux2 = insFld(aux1, gFld("Tarea programada", "javascript:undefined", "Tarea programada"));
			insDoc(aux2, gLnk("T", "Tarea programada 2", "../modulo2/tareaProgramada/problema/index.html", "Tarea programada 2"));

/*****************************************************************************************************/
/***********                             Material de apoyo                                  **********/
/*****************************************************************************************************/

	apoyo = insFld(foldersTree, gFld("Material de apoyo", "javascript:undefined", "Material de apoyo"));
		insDoc(apoyo, gLnk("T", "Plan del curso", "../planCurso1/planCurso1.doc", "Plan del curso"));
		insDoc(apoyo, gLnk("T", "Manual del estudiante", "../documentos/estudiante/manualEstudiante.doc", "Manual del estudiante"));
		contenido = insFld(apoyo, gFld("Contenido", "javascript:undefined", "Contenido"));
			modulo1 = insFld(contenido, gFld("M&oacute;dulo 1", "javascript:undefined", "Bases para la programaci&oacute;n por objetos"));
				insDoc(modulo1, gLnk("T", "Tema 1", "../modulo1/tema1/mod1-tema1.pps", "Bases para la programaci&oacute;n por objetos"));
				insDoc(modulo1, gLnk("T", "Tema 2", "../modulo1/tema2/mod1-tema2.pps", "Primitivas de codificaci&oacute;n"));
				insDoc(modulo1, gLnk("T", "Tema 3", "../modulo1/tema3/mod1-tema3.pps", "Estructuras de Control"));
				insDoc(modulo1, gLnk("T", "Tema 4", "../modulo1/tema4/mod1-tema4.pps", "M&eacute;todos"));
			modulo2 = insFld(contenido, gFld("M&oacute;dulo 2", "javascript:undefined", "Vectores, matrices e hileras"));
				insDoc(modulo2, gLnk("T", "Tema 1", "../modulo2/tema1/mod2-tema1.pps", "Fundamentos de Vectores y Matrices"));
				insDoc(modulo2, gLnk("T", "Tema 2", "../modulo2/tema2/mod2-tema2.pps", "Manipulaci&oacute;n de Caracteres e Hileras de Texto"));
				insDoc(modulo2, gLnk("T", "Tema 3", "../modulo2/tema3/mod2-tema3.pps", "Fundamentos de graficaci&oacute;n"));
		software = insFld(apoyo, gFld("Software", "javascript:undefined", "Software"));
			insDoc(software, gLnk("T", "Instalador del JDK" , "../materiales/j2sdk-1.4.2-windows.exe", "Instalador del JDK"));
			insDoc(software, gLnk("T", "Dr. Java", "../materiales/drjava.exe", "Dr. Java"));
			insDoc(software, gLnk("T", "Dr. Java (JAR)", "../materiales/drjava.jar", "Dr. Java (JAR)"));