import javax.swing.*;
/**
 * Acumulador es una clase que muestra el uso de clases
 */
public class Acumulador {
  /**
   * Valor para la cantidad de unidades vendidas
   */
  int cantidadUnidadesVendidas;
  /**
   * Valor para el precio de cada unidad
   */
  int precioUnidad; 
  
  /**
   * Setter de cantidadUnidadesVendidas
   */
  public void setCantidadUnidadesVendidas(int cantidadUnidadesVendidas  ){
    this.cantidadUnidadesVendidas = cantidadUnidadesVendidas;    
  }
  
  /**
   * Setter de precioUnidad 
   */
  public void setPrecioUnidad(int precioUnidad){
    this.precioUnidad = precioUnidad;
  }
  
  /**
   * Getter de CantidadUnidadesVendidas
   * @return entero con el valor de CantidadUnidadesVendidas
   */
  public int getCantidadUnidadesVendidas(){
    return this.cantidadUnidadesVendidas;
  }
  
  /**
   *  Getter de precioUnidad
   *  @return entero con el valor de PrecioUnidad
   */
  public int getPrecioUnidad(){
    return this.precioUnidad;
  }
  
  /**
   * Retorna el monto acumulado para el producto actual (la cantidad de unidades vendidas * precio por unidad)
   * @return entero con el valor del monto acumulado.
   */
  public int getMontoAcumulado(){
    return (this.cantidadUnidadesVendidas * this.precioUnidad);
  } 
   
  /**
   * Acumula en cantidadUnidadesVendidas las nuevas unidades vendidas
   */
  public void acumular(int unidadesVendidas){
    this.cantidadUnidadesVendidas += unidadesVendidas;
  }
}