/**
 * Hora es una clase que demuestra el uso del encadenamiento de m&eacute;todos. 
 */
public class Hora{
  /**
   * valor de la hora 
   */
  int hora;
  /**
   * valor de los minutos 
   */
  int minuto;
  /**
   * valor de los segundos
   */
  int segundo;
  
  /**
   * Establece el valor de la hora
   * @param hora valor de la hora
   */
  public Hora setHora( int hora ){ 
    if( ( hora>=0 ) && ( hora<=12 ) ) {
      this.hora = hora;
    }   
    else{
      this.hora = 0;
    }
    return this;
  }
  
  /**
   * Establece el valor del minuto 
   * @param minuto valor del minuto
   */
  public Hora setMinuto( int minuto ){ 
    if( ( minuto>=0 ) && ( minuto<=60 ) ) {
      this.minuto = minuto;
    }   
    else{
      this.minuto = 0;
    }
    return this;
  }
  
  /**
   * Establece el valor del segundo 
   * @param hora valor del segundo
   */
  public Hora setSegundo( int segundo ){ 
    if( ( segundo>=0 ) && ( segundo<=60 ) ) {
      this.segundo = segundo;
    }   
    else{
      this.segundo = 0;
    }
    return this;
  }
  
  /**
   * Establece el valor de la hora 
   */
  public String toString(){ 
    return (this.hora + ":" + this.minuto + ":" + this.segundo);
  }
  
  /**
   * M&eacute;todo principal, prueba los otros m&eacute;todos de la clase 
   */
  public static void main(String args[]){
    Hora hora = new Hora();
    hora.setHora(10).setMinuto(50).setSegundo(60);
    System.out.println(hora);
  }
}