import javax.swing.*;
import java.awt.*;


/*Es un conjunto de clases que interactuando, llevan a cabo el problema de las Ocho Reinas Grfica y Recursivamente*/

/**
 * Representa una ficha en el tablero de ajedrez, sabe c&oacute;mo dibujarse 
 */
public abstract class Ficha{ /*clase abstracta Ficha, o sea podemos heredar de ella pero no crear "instancias" de ella*/
  /**
   * imagen del ficha 
   */ 
  ImageIcon dibujo;
  /**
   * constructor de la clase 
   */
   public Ficha(){
      dibujo=new ImageIcon("ficha.gif");
   }
   
   /**
    * Dibuja en el panel la Ficha
    * @param p JPanel sobre el que se dibuja
    * @param g Graphics a dibujar
    * @param x coordenada x
    * @param y coordenada y
    */
   public void dibujar(JPanel p, Graphics g, int x, int y, int ancho, int largo){
      Color temp = g.getColor();  // Guarde el color de g
      g.setColor(Color.red);      // Ponga g a dibujar con rojo
      g.drawImage(dibujo.getImage(),x,y,ancho,largo, p );
      g.setColor(temp);           // Deje el color que habia
   }

   /**
    * S&iacute;mbolo que representa la Ficha 
    * @return una letra que representa la Ficha
    */
   public char getSimbolo(){
     return 'F';
   }
}



