public class Poligono {
  private int cantidadDePuntos;  // Es privado.
  private Punto punto[]; // Referencia a un vector de puntos
  public void agregarPunto(Punto punto){
    // Si hay campo colocar el punto en el siguiente espacio disponible del vector
    if(cantidadDePuntos<this.punto.length)
      this.punto[cantidadDePuntos++] = punto;
  }
  public Poligono(int maximoDePuntos) {
    if(maximoDePuntos>1)
      punto = new Punto[maximoDePuntos];
    else {
      System.err.println("Advertencia: tamao de polgono invlido->Se creo el Polgono con tamao por omisin 10");
      punto = new Punto[10];
    }
  }
  public String toString(){
    String resultado = "POLIGONO:[";
    for(int i = 0; i<cantidadDePuntos; i++)
      resultado += punto[i]; // La concatenacion con += siempre llama al mtodo toString() de la clase automaticamente
    resultado += "]";
    return resultado;
  } 
}