import javax.swing.*;
class DemostracionIndexacionDeVectores {
  /** <pre>
   * REQUIERE: Que se le pase un vector de enteros para que funcione como indice y el texto para el ttulo
   * EFECTUA: Imprime el vector de personas ordenadas de acuerdo al ndice precedidas por el titulo
   * MODIFICA: Salida en consola
   */
  private static void imprimir(Persona personas[],int indice[],String titulo){
    System.out.println("\n\nPERSONAS ORDENADAS "+titulo+"\n");    
    for(int i= 0; i<indice.length; i++){
      System.out.println(""+personas[indice[i]]);
    }    
  
  }
  /** <pre>
   * REQUIERE: No tiene requisitos especficos
   * EFECTUA: Mtodo main con el fin de demostrar la forma de utilizar vectores para indexacin
   * MODIFICA: Salida en consola
   */  
  public static void main(String argv[]){
    // Se crae un vector de personas cuya informacin no se quiere replicar en varios lugares
    Persona personas[]= new Persona[4];
    // Se agregan cuatro personas
    personas[0]= new Persona("Melvin",78,100 );
    personas[1]= new Persona("Lucia",56,200 );
    personas[2]= new Persona("Juan",87,150);
    personas[3]= new Persona("Nuria",60, 224);
    // Si se crean ndices con diferentes ordenamientos se puede tener algo como
    int alfabetico[] = {2,1,0,3};
    int kilos[] = {2,0,3,1};
    int deudas[] = {3,1,2,0};
    // Para imprimir los nombres de las personas ordenados alfabticamente
    imprimir(personas,alfabetico,"ALFABETICAMENTE");
    // Para imprimir los nombres de las personas del que ms debe al que menos debe
    imprimir(personas,kilos," SEGUN SU PESO");
    // Imprimir nombres de las personas del que ms pesa al que menos pesa
    imprimir(personas,deudas," POR EL MONTO QUE ADEUDAN");
    
    System.exit(0);
  }
}