import javax.swing.*;

public class  Matriz {
  public static final int MAXFIL = 5; // Maximo de filas
  public static final int MAXCOL = 5; // Maximo de columnas
  
  public static void main(String [] parametros){
    // Se declara una referencia a un vector de vectores a enteros
    // En otras  palabras una referencia a una matriz
    int [] [] m ;
    // Se crea el vector de MAXFIL referencias a fila
    m = new int [MAXFIL] [];
    
    // Se crean una a una cada fila
    for(int f=0;f<m.length;f++){
      m[f]=new int [MAXCOL];
    }
    
    // Tambin se puede declarar y crear todas las filas
    // en un solo paso de la siguiente forma
    // int m[][]=new int [MAXFIL][MAXCOL];
    
    
    // Leer los elementos y cargarlos a la matriz
    for(int i=0; i< m.length; i++)
      for(int j=0;j<m[i].length;j++)
      m[i][j]= Integer.parseInt(JOptionPane.showInputDialog("Digite valor de m["+i+"]["+j+"]"));
    
    
    // Recorrer la matriz imprimiendo el contenido
    for(int i=0; i< m.length; i++) {
      for(int j=0;j<m[i].length;j++) {
        System.out.print("\t"+m[i][j]);
      }
      System.out.println("");
    }
    
    // Recorrer la matriz invertida
    for(int j=0;j<MAXCOL;j++) {
      for(int i=0; i< MAXFIL; i++) {
        System.out.print("\t"+m[i][j]);
      }
      System.out.println("");
    }
    int f = Integer.parseInt(JOptionPane.showInputDialog("Fila para la que quiere ver los vecinos"));
    int c = Integer.parseInt(JOptionPane.showInputDialog("Columna para la que quiere ver los vecinos"));                       
    if((f >= 0) && (c >= 0) && (f <= m.length)&& (c < m[0].length)) {
      int sF []= {-1,-1,-1,0,0,1,1,1};
      int sC []= {-1,0,1,-1,1,-1,0,1};
      int nF=0; // fila de la celda vecina
      int nC=0; // columna de la celda vecina
      System.out.println("Los valores alrededor de la celda :"+f+" "+c+" son: \n ");
      for(int i = 0 ; i < sF.length ; i++){
        nF = f+sF[i];
        nC = c+sC[i];
        if((nF >= 0) && (nC >= 0) && (nF <= m.length)&& (nC < m[0].length)){
          System.out.print("\t" + m[nF][nC]);
        }
      }
    }   
    System.exit(0);
  }
}