/**
 * <p>Title: Pirmide</p>
 * <p>Description: Dibuja una pirmide de asteriscos de una altura determinada</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: Independiente</p>
 * @author Edgar Casasola Murillo
 * @author Jos Francisco Villegas Madrigal
 * @version 1.0
 */
/**
 *La clase Piramide sirve para crear y dibujar pirmides de asteriscos de una altura determinada.
 */
public class Piramide {
 /**
  *Almacena el valor de la altura de la pirmide en lneas. 
  */
  private int altura;
/**
 *Este es el constructor por omisin de la clase. Establece el valor por defecto de "altura" con el valor 3.   
 */
 public Piramide(){
  altura = 3;
 }
 /**
 * Establece el valor de la altura al crear el objeto   
 */
 public Piramide(int altura){
   this.altura = altura;
 }
 /**
  * Asigna el valor recibido por parmetro a "altura".
  * @param alturaAsignada El valor de la altura que tendr la pirmide de asteriscos.
  */
 public void setAltura(int alturaAsignada){
  altura = alturaAsignada;
 }
 
/**
 * Devuelve el valor de la "altura".
 * @return El valor de la altura de la pirmide.
 */
 public int getAltura(){
  return altura;
 }
 /**
  * Dibuja la pirmide de asteriscos de acuerdo a la altura ya determinada, este mtodo es apropiado
  * para poner en prctica el uso de ciclos for anidados.
  */
 public void dibujar(){
    // DEBEN PROGRAMAR ESTO PARA QUE QUEDE ASI
    // Altura 6
    //     *
    //    ***
    //   *****
    //  *******
    // *********
    //***********
  for(int f=0;f<altura;f++){  // seala la linea
     for(int i=0;i<(altura-f-1);i++){ //da los espacios
     System.out.print(" ");
  }
  for(int k=0;k<(2*f+1);k++){   // da los asteriscos
     System.out.print("*");
  }
     System.out.println();

     }
 }
}